<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Ejemplo 6</title>
	<script type="text/javascript">
		

		/* 
			En cada uno de los td debe colocar 
			un numero aleatorio entre 1 y 10 
		*/
		function inicio(){
			let celdas = [];
			celdas = document.querySelectorAll("td");
			
			for (var i = 0; i < celdas.length ; i++) {
				celdas[i].innerHTML =  Math.round( Math.random() * 9 +1);
			}
			
		}	

		/*
			Cuando el usuario haga click en una celda
			la celda se vacia y se coloca en fondo azul
		*/
		function vacioAzul(objeto){
			objeto.innerHTML="";
			objeto.style.backgroundColor = 'blue';		
		}
	
	</script>
</head>
<body onload="inicio()">
	<table border="1" align="center">
		<tr>
			<td onclick="vacioAzul(this)"></td>
			<td onclick="vacioAzul(this)"></td>
			<td onclick="vacioAzul(this)"></td>
			<td onclick="vacioAzul(this)"></td>
			<td onclick="vacioAzul(this)"></td>
		</tr>
	</table>
</body>
</html>